%define version 2004.07.07
%define release 1

%define distro  %(awk '/Fedora/{print $4};/Red Hat/{print $5}' 2>/dev/null </etc/redhat-release)

Summary:      Planet CCRMA documentation and extras
Name:         planetccrma
Version:      %{version}
Release:      %{release}
URL:          http://www-ccrma.stanford.edu/planetccrma/software/
License:      No License
Group:        System Environment/Base
Source:       planetccrma-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

# Don't build the debuginfo rpm
%define debug_package %{nil}
 
%description
This package includes the Planet CCRMA documentation and extras. To
access the documentation surf to:

  file://%{_datadir}/planetccrma/software/index.html

%package audioapps
Summary:      Planet CCRMA audio applications package collection
Group:        System Environment/Base
%if "%{distro}" == "2"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: ardour
Requires: audacity
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres3
Requires: cheesetracker
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: mcp-plugins
Requires: meterbridge
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-fftease
Requires: pd-flext
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: simsam
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: tse3
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "1"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: ardour
Requires: audacity
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cheesetracker
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: ecamegapedal
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: flac-xmms
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: simsam
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: tse3
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: xmms-ladspa
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "9"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: ardour
Requires: audacity
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cheesetracker
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: ecamegapedal
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: flac-xmms
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: simsam
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: xmms-ladspa
Requires: xmms-mp3
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "8.0"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: ardour
Requires: audacity
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cheesetracker
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: ecamegapedal
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: flac-xmms
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: nyquist
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: simsam
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: xmms-ladspa
Requires: xmms-mp3
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "7.3"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: ardour
Requires: audacity
Requires: blop
Requires: caps
Requires: ceres
Requires: ceres3
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: ecamegapedal
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: flac-xmms
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: muse
Requires: noteedit
Requires: nyquist
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: xmms-ladspa
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "1"
# workaround for "Obsoletes" problem in FC1
Obsoletes: ladspa-sdk <= 1.12 
Obsoletes: ladspa-sdk-example-plugins <= 1.12
%endif

%description audioapps
This rpm contains no software but requires all recommended audio
packages in the Planet CCRMA repository. Apt-get will automatically
install all those applications and their dependencies when this
package is installed.

%package audioapps-devel
Summary:      Planet CCRMA audio developer package collection
Group:        System Environment/Base
Requires: planetccrma-audioapps
%if "%{distro}" == "2"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: autotrace
Requires: ecasound-devel
Requires: faad2-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: gsl-devel
Requires: gtkmm2-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: jack-audio-connection-kit-devel
Requires: ladcca-devel
Requires: libao-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: libogg-devel
Requires: liboggz-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libvorbis-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: mftrace
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: scons
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xosd-devel
%endif
%if "%{distro}" == "1"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: autotrace
Requires: ecasound-devel
Requires: faad2-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: gsl-devel
Requires: gtkmm2-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: jack-audio-connection-kit-devel
Requires: ladcca-devel
Requires: libao-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: libogg-devel
Requires: liboggz-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libvorbis-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: mftrace
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: scons
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xosd-devel
%endif
%if "%{distro}" == "9"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: autotrace
Requires: ecasound-devel
Requires: faad2-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: glut
Requires: glut-devel
Requires: gsl-devel
Requires: gtkmm2-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: jack-audio-connection-kit-devel
Requires: ladcca-devel
Requires: libart_lgpl-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: liboggz-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: libzvt-devel
Requires: mftrace
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: scons
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xmms-devel
Requires: xosd-devel
%endif
%if "%{distro}" == "8.0"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: autotrace
Requires: ecasound-devel
Requires: faad2-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: gsl-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: jack-audio-connection-kit-devel
Requires: ladcca-devel
Requires: libart_lgpl-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: liboggz-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: mftrace
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: scons
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xmms-devel
Requires: xosd-devel
%endif
%if "%{distro}" == "7.3"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: autotrace
Requires: ecasound-devel
Requires: faad2-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: gsl-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: jack-audio-connection-kit-devel
Requires: ladcca-devel
Requires: libao-devel
Requires: libart_lgpl-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: libogg-devel
Requires: liboggz-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libvorbis-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: mftrace
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xosd-devel
%endif

%description audioapps-devel
This rpm contains no software but requires all recommended audio
development packages in the Planet CCRMA repository. Apt-get will
automatically install all packages and their dependencies when this
package is installed.

%package audiovideoapps
Summary:      Planet CCRMA audio and video applications package collection
Group:        System Environment/Base
%if "%{distro}" == "2"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: ardour
Requires: audacity
Requires: avifile
Requires: avifile-utils
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres3
Requires: cheesetracker
Requires: cinelerra
Requires: cinepaint
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: dvgrab
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: gscanbus
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: kino
Requires: kinoplus
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libavc1394
Requires: libdv
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libquicktime
Requires: libraw1394
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: mcp-plugins
Requires: meterbridge
Requires: mjpegtools
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-fftease
Requires: pd-flext
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: simsam
Requires: smilutils
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: tse3
Requires: vcdimager
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "1"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: ardour
Requires: audacity
Requires: avifile
Requires: avifile-utils
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cheesetracker
Requires: cinelerra
Requires: cinepaint
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: dvgrab
Requires: ecamegapedal
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: flac-xmms
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: gscanbus
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: kino
Requires: kinoplus
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libavc1394
Requires: libdv
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libquicktime
Requires: libraw1394
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mjpegtools
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: simsam
Requires: smilutils
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: timfx
Requires: tse3
Requires: vcdimager
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: xmms-ladspa
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "9"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: aqsis
Requires: ardour
Requires: audacity
Requires: avifile
Requires: avifile-utils
Requires: ayam
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cheesetracker
Requires: cinelerra
Requires: cinepaint
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: dvgrab
Requires: ecamegapedal
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: flac-xmms
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: gscanbus
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: kino
Requires: kinoplus
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libavc1394
Requires: libdv
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libquicktime
Requires: libraw1394
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: lzo
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mjpegtools
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: simsam
Requires: smilutils
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: timfx
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: vcdimager
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: xmms-ladspa
Requires: xmms-mp3
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "8.0"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: aqsis
Requires: ardour
Requires: audacity
Requires: avifile
Requires: avifile-utils
Requires: ayam
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cheesetracker
Requires: cinelerra
Requires: cinepaint
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: dvgrab
Requires: ecamegapedal
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: flac-xmms
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: gscanbus
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: kino
Requires: kinoplus
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libavc1394
Requires: libdv
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libquicktime
Requires: libraw1394
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: lzo
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mjpegtools
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: nyquist
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: simsam
Requires: smilutils
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: timfx
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: vcdimager
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: xmms-ladspa
Requires: xmms-mp3
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "7.3"
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: ams
Requires: amsynth
Requires: aqsis
Requires: ardour
Requires: audacity
Requires: avifile
Requires: avifile-utils
Requires: ayam
Requires: blop
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cinelerra
Requires: cinepaint
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: dvgrab
Requires: ecamegapedal
Requires: ecasound
Requires: fil-plugins
Requires: flac
Requires: flac-xmms
Requires: fluidsynth
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gmorgan
Requires: gscanbus
Requires: hydrogen
Requires: hyperspec
Requires: iemlib
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: kino
Requires: kinoplus
Requires: ladcca
Requires: ladspa
Requires: ladspa-devel
Requires: libavc1394
Requires: libdv
Requires: libecasoundc
Requires: libfishsound
Requires: libfluidsynth
Requires: libjackasyn
Requires: liblrdf
Requires: liboggz
Requires: libquicktime
Requires: libraw1394
Requires: libsamplerate
Requires: libsndfile
Requires: lilypond
Requires: lilypond-documentation
Requires: lzo
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mjpegtools
Requires: muse
Requires: noteedit
Requires: nyquist
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: raptor
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: smilutils
Requires: snd
Requires: snd-motif
Requires: snd-utils
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: swh-plugins
Requires: synaptic
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: terminatorX
Requires: timemachine
Requires: timfx
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: vcdimager
Requires: vco-plugins
Requires: vkeybd
Requires: xmms-jack
Requires: xmms-ladspa
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
%endif
%if "%{distro}" == "1"
# workaround for "Obsoletes" problem in FC1
Obsoletes: ladspa-sdk <= 1.12 
Obsoletes: ladspa-sdk-example-plugins <= 1.12
%endif

%description audiovideoapps
This rpm contains no software but requires all recommended audio and
video packages in the Planet CCRMA repository. Apt-get will
automatically install all those applications and their dependencies
when this package is installed.

%package audiovideoapps-devel
Summary:      Planet CCRMA audio and video developer package collection
Group:        System Environment/Base
Requires: planetccrma-audiovideoapps
%if "%{distro}" == "2"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: autotrace
Requires: avifile-devel
Requires: cinepaint-devel
Requires: ecasound-devel
Requires: faad2-devel
Requires: ffmpeg-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: gsl-devel
Requires: gtkmm2-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: imlib2-devel
Requires: jack-audio-connection-kit-devel
Requires: kino-devel
Requires: ladcca-devel
Requires: libao-devel
Requires: libavc1394-devel
Requires: libdv-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: libogg-devel
Requires: liboggz-devel
Requires: libquicktime-devel
Requires: libraw1394-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libvorbis-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: mftrace
Requires: mjpegtools-devel
Requires: openexr-devel
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: scons
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xosd-devel
%endif
%if "%{distro}" == "1"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: autotrace
Requires: avifile-devel
Requires: cinepaint-devel
Requires: ecasound-devel
Requires: faad2-devel
Requires: ffmpeg-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: gsl-devel
Requires: gtkmm2-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: imlib2-devel
Requires: jack-audio-connection-kit-devel
Requires: kino-devel
Requires: ladcca-devel
Requires: libao-devel
Requires: libavc1394-devel
Requires: libdv-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: libogg-devel
Requires: liboggz-devel
Requires: libquicktime-devel
Requires: libraw1394-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libvorbis-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: mftrace
Requires: mjpegtools-devel
Requires: openexr-devel
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: scons
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xosd-devel
%endif
%if "%{distro}" == "9"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: aqsis-devel
Requires: autotrace
Requires: avifile-devel
Requires: cinepaint-devel
Requires: ecasound-devel
Requires: faad2-devel
Requires: ffmpeg-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: glut
Requires: glut-devel
Requires: gsl-devel
Requires: gtkmm2-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: imlib2-devel
Requires: jack-audio-connection-kit-devel
Requires: kino-devel
Requires: ladcca-devel
Requires: libart_lgpl-devel
Requires: libavc1394-devel
Requires: libdv-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: liboggz-devel
Requires: libquicktime-devel
Requires: libraw1394-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: libzvt-devel
Requires: log4cpp-devel
Requires: lzo-devel
Requires: mftrace
Requires: mjpegtools-devel
Requires: openexr-devel
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: scons
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xmms-devel
Requires: xosd-devel
%endif
%if "%{distro}" == "8.0"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: aqsis-devel
Requires: autotrace
Requires: avifile-devel
Requires: cinepaint-devel
Requires: ecasound-devel
Requires: faad2-devel
Requires: ffmpeg-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: gsl-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: imlib2-devel
Requires: jack-audio-connection-kit-devel
Requires: kino-devel
Requires: ladcca-devel
Requires: libart_lgpl-devel
Requires: libavc1394-devel
Requires: libdv-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: liboggz-devel
Requires: libquicktime-devel
Requires: libraw1394-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: log4cpp-devel
Requires: lzo-devel
Requires: mftrace
Requires: mjpegtools-devel
Requires: openexr-devel
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: scons
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xmms-devel
Requires: xosd-devel
%endif
%if "%{distro}" == "7.3"
Requires: a52dec-devel
Requires: alsaplayer-devel
Requires: aqsis-devel
Requires: autotrace
Requires: avifile-devel
Requires: cinepaint-devel
Requires: ecasound-devel
Requires: faad2-devel
Requires: ffmpeg-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: flac-devel
Requires: fltk-devel
Requires: fox-devel
Requires: gltt-devel
Requires: gsl-devel
Requires: gtkmm-devel
Requires: id3lib-devel
Requires: imlib2-devel
Requires: jack-audio-connection-kit-devel
Requires: kino-devel
Requires: ladcca-devel
Requires: libao-devel
Requires: libart_lgpl-devel
Requires: libavc1394-devel
Requires: libdv-devel
Requires: libfishsound-devel
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn-devel
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: libogg-devel
Requires: liboggz-devel
Requires: libquicktime-devel
Requires: libraw1394-devel
Requires: libsamplerate-devel
Requires: libsndfile-devel
Requires: libvorbis-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: log4cpp-devel
Requires: lzo-devel
Requires: mftrace
Requires: mjpegtools-devel
Requires: openexr-devel
Requires: pfaedit
Requires: qt-designer
Requires: qt-devel
Requires: raptor-devel
Requires: sndlib-devel
Requires: speex-devel
Requires: sweep-devel
Requires: t1utils
Requires: tdb-devel
Requires: tse3-devel
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xosd-devel
%endif

%description audiovideoapps-devel
This rpm contains no software but requires all recommended audio and
video development packages in the Planet CCRMA repository. Apt-get
will automatically install all packages and their dependencies when
this package is installed.

%package atccrma
Summary:      Planet CCRMA @ CCRMA package collection
Group:        System Environment/Base
%if "%{distro}" == "9"
Requires: a52dec-devel
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: alsaplayer-devel
Requires: ams
Requires: amsynth
Requires: aqsis
Requires: aqsis-devel
Requires: ardour
Requires: audacity
Requires: autotrace
Requires: avifile
Requires: avifile-devel
Requires: avifile-utils
Requires: ayam
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cheesetracker
Requires: cinelerra
Requires: cinepaint
Requires: cinepaint-devel
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: dvgrab
Requires: ecamegapedal
Requires: ecasound
Requires: ecasound-devel
Requires: faad2-devel
Requires: ffmpeg-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: fil-plugins
Requires: flac
Requires: flac-devel
Requires: flac-xmms
Requires: fltk-devel
Requires: fluidsynth
Requires: fox-devel
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gltt-devel
Requires: glut
Requires: glut-devel
Requires: gmorgan
Requires: gscanbus
Requires: gsl-devel
Requires: gtkmm2-devel
Requires: gtkmm-devel
Requires: hydrogen
Requires: hyperspec
Requires: id3lib-devel
Requires: iemlib
Requires: imlib2-devel
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-devel
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: kino
Requires: kino-devel
Requires: kinoplus
Requires: ladcca
Requires: ladcca-devel
Requires: ladspa
Requires: ladspa-devel
Requires: libart_lgpl-devel
Requires: libavc1394
Requires: libavc1394-devel
Requires: libdv
Requires: libdv-devel
Requires: libecasoundc
Requires: libfishsound
Requires: libfishsound-devel
Requires: libfluidsynth
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn
Requires: libjackasyn-devel
Requires: liblrdf
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: liboggz
Requires: liboggz-devel
Requires: libquicktime
Requires: libquicktime-devel
Requires: libraw1394
Requires: libraw1394-devel
Requires: libsamplerate
Requires: libsamplerate-devel
Requires: libsndfile
Requires: libsndfile-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: libzvt-devel
Requires: lilypond
Requires: lilypond-documentation
Requires: log4cpp-devel
Requires: lzo
Requires: lzo-devel
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mftrace
Requires: mjpegtools
Requires: mjpegtools-devel
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: openexr-devel
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pfaedit
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: qt-designer
Requires: qt-devel
Requires: raptor
Requires: raptor-devel
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: scons
Requires: seq24
Requires: simsam
Requires: smilutils
Requires: snd
Requires: sndlib-devel
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: speex-devel
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: sweep-devel
Requires: swh-plugins
Requires: synaptic
Requires: t1utils
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: tdb-devel
Requires: terminatorX
Requires: timemachine
Requires: timfx
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: tse3-devel
Requires: vcdimager
Requires: vco-plugins
Requires: vkeybd
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xmms-devel
Requires: xmms-jack
Requires: xmms-ladspa
Requires: xmms-mp3
Requires: xosd-devel
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
Requires: anjuta
Requires: avr-binutils
Requires: avr-gcc
Requires: avr-gcc-c++
Requires: avr-libc
Requires: avr-libc-docs
Requires: cdda2wav
Requires: cdrecord
Requires: cdrecord-devel
Requires: mkisofs
Requires: qdu
Requires: uisp
Requires: unison
Requires: xcdroast
Requires: xvidcore
Requires: xvidcore-static
%endif
%if "%{distro}" == "8.0"
Requires: a52dec-devel
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: alsaplayer-devel
Requires: ams
Requires: amsynth
Requires: aqsis
Requires: aqsis-devel
Requires: ardour
Requires: audacity
Requires: autotrace
Requires: avifile
Requires: avifile-devel
Requires: avifile-utils
Requires: ayam
Requires: blop
Requires: brutefir
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cheesetracker
Requires: cinelerra
Requires: cinepaint
Requires: cinepaint-devel
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: dvgrab
Requires: ecamegapedal
Requires: ecasound
Requires: ecasound-devel
Requires: faad2-devel
Requires: ffmpeg-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: fil-plugins
Requires: flac
Requires: flac-devel
Requires: flac-xmms
Requires: fltk-devel
Requires: fluidsynth
Requires: fox-devel
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gltt-devel
Requires: gmorgan
Requires: gscanbus
Requires: gsl-devel
Requires: gtkmm-devel
Requires: hydrogen
Requires: hyperspec
Requires: id3lib-devel
Requires: iemlib
Requires: imlib2-devel
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-devel
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: kino
Requires: kino-devel
Requires: kinoplus
Requires: ladcca
Requires: ladcca-devel
Requires: ladspa
Requires: ladspa-devel
Requires: libart_lgpl-devel
Requires: libavc1394
Requires: libavc1394-devel
Requires: libdv
Requires: libdv-devel
Requires: libecasoundc
Requires: libfishsound
Requires: libfishsound-devel
Requires: libfluidsynth
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn
Requires: libjackasyn-devel
Requires: liblrdf
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: liboggz
Requires: liboggz-devel
Requires: libquicktime
Requires: libquicktime-devel
Requires: libraw1394
Requires: libraw1394-devel
Requires: libsamplerate
Requires: libsamplerate-devel
Requires: libsndfile
Requires: libsndfile-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: lilypond
Requires: lilypond-documentation
Requires: log4cpp-devel
Requires: lzo
Requires: lzo-devel
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mftrace
Requires: mjpegtools
Requires: mjpegtools-devel
Requires: mpg321
Requires: muse
Requires: noteedit
Requires: nyquist
Requires: openexr-devel
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pfaedit
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: qt-designer
Requires: qt-devel
Requires: raptor
Requires: raptor-devel
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: scons
Requires: seq24
Requires: simsam
Requires: smilutils
Requires: snd
Requires: sndlib-devel
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: speex-devel
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: sweep-devel
Requires: swh-plugins
Requires: synaptic
Requires: t1utils
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: tdb-devel
Requires: terminatorX
Requires: timemachine
Requires: timfx
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: tse3-devel
Requires: vcdimager
Requires: vco-plugins
Requires: vkeybd
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xmms-devel
Requires: xmms-jack
Requires: xmms-ladspa
Requires: xmms-mp3
Requires: xosd-devel
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
Requires: anjuta
Requires: avr-binutils
Requires: avr-gcc
Requires: avr-gcc-c++
Requires: avr-libc
Requires: avr-libc-docs
Requires: cdda2wav
Requires: cdrecord
Requires: cdrecord-devel
Requires: mkisofs
Requires: qdu
Requires: uisp
Requires: unison
Requires: xcdroast
Requires: xvidcore
Requires: xvidcore-static
%endif
%if "%{distro}" == "7.3"
Requires: a52dec-devel
Requires: aeolus
Requires: alsa-patch-bay
Requires: alsaplayer
Requires: alsaplayer-devel
Requires: ams
Requires: amsynth
Requires: aqsis
Requires: aqsis-devel
Requires: ardour
Requires: audacity
Requires: autotrace
Requires: avifile
Requires: avifile-devel
Requires: avifile-utils
Requires: ayam
Requires: blop
Requires: caps
Requires: ceres
Requires: ceres3
Requires: cinelerra
Requires: cinepaint
Requires: cinepaint-devel
Requires: clm-cmucl
Requires: cltl2
Requires: cm-clm-cmucl
Requires: cm-cmucl
Requires: cmn-cmucl
Requires: cmt
Requires: csound
Requires: csound-devel
Requires: denemo
Requires: dvgrab
Requires: ecamegapedal
Requires: ecasound
Requires: ecasound-devel
Requires: faad2-devel
Requires: ffmpeg-devel
Requires: fftw3-devel
Requires: fftw-devel
Requires: fil-plugins
Requires: flac
Requires: flac-devel
Requires: flac-xmms
Requires: fltk-devel
Requires: fluidsynth
Requires: fox-devel
Requires: freebirth
Requires: freqtweak
Requires: galan
Requires: gamix
Requires: gem
Requires: ggee
Requires: givertcap
Requires: gltt-devel
Requires: gmorgan
Requires: gscanbus
Requires: gsl-devel
Requires: gtkmm-devel
Requires: hydrogen
Requires: hyperspec
Requires: id3lib-devel
Requires: iemlib
Requires: imlib2-devel
Requires: jaaa
Requires: jack-audio-connection-kit
Requires: jack-audio-connection-kit-devel
Requires: jack-audio-connection-kit-example-clients
Requires: jackeq
Requires: jack-rack
Requires: jamin
Requires: kaconnect
Requires: kino
Requires: kino-devel
Requires: kinoplus
Requires: ladcca
Requires: ladcca-devel
Requires: ladspa
Requires: ladspa-devel
Requires: libao-devel
Requires: libart_lgpl-devel
Requires: libavc1394
Requires: libavc1394-devel
Requires: libdv
Requires: libdv-devel
Requires: libecasoundc
Requires: libfishsound
Requires: libfishsound-devel
Requires: libfluidsynth
Requires: libfluidsynth-devel
Requires: libid3tag-devel
Requires: libjackasyn
Requires: libjackasyn-devel
Requires: liblrdf
Requires: liblrdf-devel
Requires: libmad-devel
Requires: libmpeg3
Requires: libogg-devel
Requires: liboggz
Requires: liboggz-devel
Requires: libquicktime
Requires: libquicktime-devel
Requires: libraw1394
Requires: libraw1394-devel
Requires: libsamplerate
Requires: libsamplerate-devel
Requires: libsndfile
Requires: libsndfile-devel
Requires: libvorbis-devel
Requires: libxml2-devel
Requires: libxml2-python
Requires: lilypond
Requires: lilypond-documentation
Requires: log4cpp-devel
Requires: lzo
Requires: lzo-devel
Requires: mammut
Requires: mcp-plugins
Requires: meterbridge
Requires: mftrace
Requires: mjpegtools
Requires: mjpegtools-devel
Requires: muse
Requires: noteedit
Requires: nyquist
Requires: openexr-devel
Requires: pd
Requires: pd-chaos
Requires: pd-creb
Requires: pd-cxc
Requires: pd-dyn
Requires: pd-fftease
Requires: pd-flext
Requires: pd-fluid
Requires: pd-idelay
Requires: pd-syncgrain
Requires: pd-vasp
Requires: pd-zexy
Requires: percolate
Requires: pfaedit
Requires: pmidi
Requires: PVC
Requires: pvoc
Requires: pyecasound
Requires: qamix
Requires: qarecord
Requires: qjackconnect
Requires: qjackctl
Requires: qsynth
Requires: qt-designer
Requires: qt-devel
Requires: raptor
Requires: raptor-devel
Requires: resample
Requires: rev-plugins
Requires: rezound
Requires: rosegarden4
Requires: rtmix
Requires: seq24
Requires: smilutils
Requires: snd
Requires: sndlib-devel
Requires: soundtracker
Requires: specimen
Requires: speex
Requires: speex-devel
Requires: spiralsynthmodular
Requires: stk
Requires: swami
Requires: sweep
Requires: sweep-devel
Requires: swh-plugins
Requires: synaptic
Requires: t1utils
Requires: tapiir
Requires: tap-plugins
Requires: tap-plugins-doc
Requires: tap-reverbed
Requires: tdb-devel
Requires: terminatorX
Requires: timemachine
Requires: timfx
Requires: timidity++
Requires: timidity-eawpats
Requires: tse3
Requires: tse3-devel
Requires: vcdimager
Requires: vco-plugins
Requires: vkeybd
Requires: wxGTK-devel
Requires: wxGTK-gl
Requires: xmms-jack
Requires: xmms-ladspa
Requires: xosd-devel
Requires: zynaddsubfx
Requires: zynaddsubfx-doc
Requires: anjuta
Requires: avr-binutils
Requires: avr-gcc
Requires: avr-gcc-c++
Requires: avr-libc
Requires: avr-libc-docs
Requires: cdda2wav
Requires: cdrecord
Requires: cdrecord-devel
Requires: mkisofs
Requires: qdu
Requires: uisp
Requires: unison
Requires: xcdroast
Requires: xvidcore
Requires: xvidcore-static
%endif
%if "%{distro}" == "1"
# workaround for "Obsoletes" problem in FC1
Obsoletes: ladspa-sdk <= 1.12 
Obsoletes: ladspa-sdk-example-plugins <= 1.12
%endif

%description atccrma
This rpm contains no software but requires all recommended audio and
video packages in the Planet CCRMA repository (as installed at CCRMA,
for example some applications are installed in main server space and
mantained separately). Apt-get will automatically install all those
applications and their dependencies when this package is installed.

%prep
%setup -q -n planetccrma

%build
echo "Building on %{distro}..."

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/
(cd $RPM_BUILD_ROOT%{_datadir}/; tar xzpf %{SOURCE0})

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/planetccrma

%if "%{distro}" == "2"
%files audioapps
%files audioapps-devel
%files audiovideoapps
%files audiovideoapps-devel
%endif
%if "%{distro}" == "1"
%files audioapps
%files audioapps-devel
%files audiovideoapps
%files audiovideoapps-devel
%endif
%if "%{distro}" == "9"
%files audioapps
%files audioapps-devel
%files audiovideoapps
%files audiovideoapps-devel
%endif
%if "%{distro}" == "8.0"
%files audioapps
%files audioapps-devel
%files audiovideoapps
%files audiovideoapps-devel
%endif
%if "%{distro}" == "7.3"
%files audioapps
%files audioapps-devel
%files audiovideoapps
%files audiovideoapps-devel
%endif

%changelog
* Tue Jun  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- switch to automatically generated spec files
